import { createApp } from "vue";
import { createPinia } from "pinia";

import App from "./App.vue";
import router from "./router";

import "./assets/main.css";
// 通用字体
import "vfonts/Lato.css";
// 等宽字体
import "vfonts/FiraCode.css";

import {
    // create naive ui
    create,
    // createDiscreteApi
    createDiscreteApi,
    // component
    NButton,
    NLayout,
    NLayoutHeader,
    NLayoutContent,
    NLayoutFooter,
    NLayoutSider,
    NMenu,
    NScrollbar,
    NForm,
    NFormItem,
    NInput,
    NGrid,
    NGridItem,
    NCard,
    NCheckbox,
    NCheckboxGroup,
} from "naive-ui";

const naive = create({
    components: [
        NButton,
        NLayout,
        NLayoutHeader,
        NLayoutContent,
        NLayoutFooter,
        NLayoutSider,
        NMenu,
        NScrollbar,
        NForm,
        NFormItem,
        NInput,
        NGrid,
        NGridItem,
        NCard,
        NCheckbox,
        NCheckboxGroup,
    ],
});

const app = createApp(App);

app.use(createPinia());
app.use(router);

app.use(naive);

app.mount("#app");

const { message, notification, dialog, loadingBar } = createDiscreteApi([
    "message",
    "dialog",
    "notification",
    "loadingBar",
]);

window.$message = message;
window.$notification = notification;
window.$dialog = dialog;
window.$loadingBar = loadingBar;
